Package wx :: Package lib :: Module pydocview :: Class ChildDocument

[frames | no frames]

## Type ChildDocument

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
              Document --+
                         |
                        ChildDocument

A ChildDocument is a document that represents a portion of a Document. The child document is managed by the parent document, so it will be prompted to close if its parent is closed, etc. Child Documents are useful when there are complicated Views of a Document and users will need to tunnel into the View.

Method Summary
| ``GetData`(self)` Returns the data that the ChildDocument contains.
| ``GetParentDocument`(self)` Returns the parent Document of the ChildDocument.
| ``OnOpenDocument`(self, filename)` Called when the ChildDocument is opened and does the minimum such that the ChildDocument looks like a real Document to the framework.
| ``OnSaveDocument`(self, filename)` Called when the ChildDocument is saved and does the minimum such that the ChildDocument looks like a real Document to the framework.
| ``Save`(self)` Called when the ChildDocument is saved and does the minimum such that the ChildDocument looks like a real Document to the framework.
| ``SaveAs`(self)` Called when the ChildDocument is saved and does the minimum such that the ChildDocument looks like a real Document to the framework.
| ``SetData`(self, data)` Sets the data that the ChildDocument contains.
| ``SetParentDocument`(self, parentDocument)` Sets the parent Document of the ChildDocument.

Property Summary

Method Details

### GetData(self)

Returns the data that the ChildDocument contains.

### GetParentDocument(self)

Returns the parent Document of the ChildDocument.

### OnOpenDocument(self, filename)

Called when the ChildDocument is opened and does the minimum such that the ChildDocument looks like a real Document to the framework.

  Overrides:
    `wx.lib.docview.Document.OnOpenDocument`

### OnSaveDocument(self, filename)

Called when the ChildDocument is saved and does the minimum such that the ChildDocument looks like a real Document to the framework.

  Overrides:
    `wx.lib.docview.Document.OnSaveDocument`

### Save(self)

Called when the ChildDocument is saved and does the minimum such that the ChildDocument looks like a real Document to the framework.

  Overrides:
    `wx.lib.docview.Document.Save`

### SaveAs(self)

Called when the ChildDocument is saved and does the minimum such that the ChildDocument looks like a real Document to the framework.

  Overrides:
    `wx.lib.docview.Document.SaveAs`

### SetData(self, data)

Sets the data that the ChildDocument contains.

### SetParentDocument(self, parentDocument)

Sets the parent Document of the ChildDocument.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:29 2007 | http://epydoc.sf.net